
Foreman - Feature #1820

Authenticate API calls via REMOTE_USER too 

08/13/2012 09:57 AM - Nacho Barrientos

Status: Closed   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It'd be cool to also take into account REMOTE_USER when authenticating API requests. Maybe it's a good a idea to make it

optional, having a setting to switch it on/off.

Related issues:

Related to Foreman - Bug #1771: HTTP_authentication does not work for forms Closed 07/23/2012

Related to Foreman - Feature #2988: Authenticate to new API via REMOTE_USER Closed 08/29/2013

Associated revisions

Revision 7adf0ee3 - 08/13/2012 09:58 AM - Nacho Barrientos

fixes #1820 - Authenticate API calls via REMOTE_USER

This patch allows API requests authentication via REMOTE_USER

only if authorize_login_delegation and authorize_login_delegation_api

are enabled.

History

#1 - 08/13/2012 09:58 AM - Ohad Levy

- Category set to Authentication

- Target version set to 1.1

#2 - 08/13/2012 10:20 AM - Nacho Barrientos

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 7adf0ee341cb625efbc1b813f1f3175575c45a08.

#3 - 08/29/2013 01:35 PM - Dominic Cleal

- Related to Feature #2988: Authenticate to new API via REMOTE_USER added
